'************************************************* ******************************
'* This file is part of NRtfTree Library.
'*
'* NRtfTree Library is free software; you can redistribute it and / or modify
'* It under the terms of the GNU Lesser General Public License as published by
'* The Free Software Foundation, either version 3 of the License, or
'* (At your option) any later version.
'*
'* NRtfTree Library is distributed in the hope that it will be useful,
'* But WITHOUT ANY WARRANTY; without even the implied warranty of
'* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
'* GNU Lesser General Public License for more details.
'*
'* You should have received a copy of the GNU Lesser General Public License
'* Along with this program. If not, see <http://www.gnu.org/licenses/> .
'************************************************* ******************************

'************************************************* ******************************
'* Library: NRtfTree
'* Version: v0.3.0
'* Date: 01/05/2009
'* Copyright: 2006-2009 Salvador Gomez
'* E-mail: sgoliver.net @ gmail.com
'* Home Page: http://www.sgoliver.net
'* SF Project: http://nrtftree.sourceforge.net
'* Http://sourceforge.net/projects/nrtftree
'* Class: RtfCharFormat
'* Description: Represents a text format.
'* VB.NET Version Contributed by: Terence L. Wallace
'* ************************************************ *****************************


Imports Microsoft.VisualBasic
Imports System
Imports System.Collections.Generic
Imports System.Text
Imports System.Drawing

Namespace Net.Sgoliver.NRtfTree
    Namespace Util
        ''' <summary>
        ''' Represents a text format.
        ''' </summary>
        Public Class RtfCharFormat

#Region "Private Attributes"

            ''' <summary>
            ''' Bold.
            ''' </summary>
            Private m_bold As Boolean = False

            ''' <summary>
            ''' Italic.
            ''' </summary>
            Private m_italic As Boolean = False

            ''' <summary>
            ''' Underline.
            ''' </summary>
            Private m_underline As Boolean = False

            ''' <summary>
            ''' Name of the source.
            ''' </summary>
            Private m_font As String = "Arial"

            ''' <summary>
            ''' Tamao from the source.
            ''' </summary>
            Private m_size As Integer = 10

            ''' <summary>
            ''' Font color.
            ''' </summary>
            Private m_color As Color = Color.Black

#End Region

#Region "Properties"

            ''' <summary>
            ''' Source bold.
            ''' </summary>
            Public Property Bold() As Boolean
                Get
                    Return m_bold
                End Get
                Set(ByVal value As Boolean)
                    m_bold = value
                End Set
            End Property

            ''' <summary>
            ''' Source italics.
            ''' </summary>
            Public Property Italic() As Boolean
                Get
                    Return m_italic
                End Get
                Set(ByVal value As Boolean)
                    m_italic = value
                End Set
            End Property

            ''' <summary>
            ''' Underlined font.
            ''' </summary>
            Public Property Underline() As Boolean
                Get
                    Return m_underline
                End Get
                Set(ByVal value As Boolean)
                    m_underline = value
                End Set
            End Property

            ''' <summary>
            ''' Font.
            ''' </summary>
            Public Property Font() As String
                Get
                    Return m_font
                End Get
                Set(ByVal value As String)
                    m_font = value
                End Set
            End Property

            ''' <summary>
            ''' Tamao source.
            ''' </summary>
            Public Property Size() As Integer
                Get
                    Return m_size
                End Get
                Set(ByVal value As Integer)
                    m_size = value
                End Set
            End Property

            ''' <summary>
            ''' Font color.
            ''' </summary>
            Public Property Color() As Color
                Get
                    Return m_color
                End Get
                Set(ByVal value As Color)
                    m_color = value
                End Set
            End Property

#End Region

        End Class
    End Namespace
End Namespace
