'************************************************* ******************************
'* This file is part of NRtfTree Library.
'*
'* NRtfTree Library is free software; you can redistribute it and / or modify
'* It under the terms of the GNU Lesser General Public License as published by
'* The Free Software Foundation, either version 3 of the License, or
'* (At your option) any later version.
'*
'* NRtfTree Library is distributed in the hope that it will be useful,
'* But WITHOUT ANY WARRANTY; without even the implied warranty of
'* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
'* GNU Lesser General Public License for more details.
'*
'* You should have received a copy of the GNU Lesser General Public License
'* Along with this program. If not, see <http://www.gnu.org/licenses/> .
'************************************************* ******************************

'************************************************* ******************************
'* Library: NRtfTree
'* Version: v0.3.0
'* Date: 01/05/2009
'* Copyright: 2006-2009 Salvador Gomez
'* E-mail: sgoliver.net @ gmail.com
'* Home Page: http://www.sgoliver.net
'* SF Project: http://nrtftree.sourceforge.net
'* Http://sourceforge.net/projects/nrtftree
'* Class: RtfDocumentFormat
'* Description: Represents a document format.
'* VB.NET Version Contributed by: Terence L. Wallace
'* ************************************************ *****************************


Imports Microsoft.VisualBasic
Imports System
Imports System.Collections.Generic
Imports System.Text

Namespace Net.Sgoliver.NRtfTree
    Namespace Util
        ''' <summary>
        ''' Represents a document format.
        ''' </summary>
        Public Class RtfDocumentFormat
#Region "Private Attributes"

            ''' <summary>
            ''' Left margin (in cm.)
            ''' </summary>
            Private  m_marginl As Single = 2

            ''' <summary>
            ''' Right margin (in cm.)
            ''' </summary>
            Private  m_marginr As Single = 2

            ''' <summary>
            ''' Top margin (in cm.)
            ''' </summary>
            Private  m_margint As Single = 2

            ''' <summary>
            ''' Bottom margin (in cm.)
            ''' </summary>
            Private  m_marginb As Single = 2

#End Region

#Region "Properties"

            ''' <summary>
            ''' Left margin in inches.
            ''' </summary>
            Public Property MarginL() As Single
                Get
                    Return  m_marginl
                End Get
                Set(ByVal value As Single)
                     m_marginl = value
                End Set
            End Property

            ''' <summary>
            ''' Right margin in inches.
            ''' </summary>
            Public Property MarginR() As Single
                Get
                    Return  m_marginr
                End Get
                Set(ByVal value As Single)
                     m_marginr = value
                End Set
            End Property

            ''' <summary>
            ''' Top Margin in inches.
            ''' </summary>
            Public Property MarginT() As Single
                Get
                    Return  m_margint
                End Get
                Set(ByVal value As Single)
                     m_margint = value
                End Set
            End Property

            ''' <summary>
            ''' Bottom margin in inches.
            ''' </summary>
            Public Property MarginB() As Single
                Get
                    Return  m_marginb
                End Get
                Set(ByVal value As Single)
                     m_marginb = value
                End Set
            End Property

#End Region
        End Class
    End Namespace
End Namespace
