'************************************************* ******************************
'* This file is part of NRtfTree Library.
'*
'* NRtfTree Library is free software; you can redistribute it and / or modify
'* It under the terms of the GNU Lesser General Public License as published by
'* The Free Software Foundation, either version 3 of the License, or
'* (At your option) any later version.
'*
'* NRtfTree Library is distributed in the hope that it will be useful,
'* But WITHOUT ANY WARRANTY; without even the implied warranty of
'* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
'* GNU Lesser General Public License for more details.
'*
'* You should have received a copy of the GNU Lesser General Public License
'* Along with this program. If not, see <http://www.gnu.org/licenses/> .
'************************************************* ******************************

'************************************************* ******************************
'* Library: NRtfTree
'* Version: v0.3.0
'* Date: 01/05/2009
'* Copyright: 2006-2009 Salvador Gomez
'* E-mail: sgoliver.net @ gmail.com
'* Home Page: http://www.sgoliver.net
'* SF Project: http://nrtftree.sourceforge.net
'* Http://sourceforge.net/projects/nrtftree
'* Class: RtfParFormat
'* Description: Represents a paragraph format.
'* VB.NET Version Contributed by: Terence L. Wallace
'* ************************************************ *****************************


Imports Microsoft.VisualBasic
Imports System
Imports System.Collections.Generic
Imports System.Text

Namespace Net.Sgoliver.NRtfTree
    Namespace Util
        ''' <summary>
        ''' Represents a paragraph formatting.
        ''' </summary>
        Public Class RtfParFormat
            Private  m_alignment As TextAlignment = TextAlignment.Left
            Private  m_leftIndentation As Single = 0
            Private  m_rightIndentation As Single = 0

            ''' <summary>
            ''' Alignment of the paragraph.
            ''' </summary>
            Public Property Alignment() As TextAlignment
                Get
                    Return  m_alignment
                End Get
                Set(ByVal value As TextAlignment)
                     m_alignment = value
                End Set
            End Property

            ''' <summary>
            ''' Left Indent the paragraph.
            ''' </summary>
            Public Property LeftIndentation() As Single
                Get
                    Return  m_leftIndentation
                End Get
                Set(ByVal value As Single)
                     m_leftIndentation = value
                End Set
            End Property

            ''' <summary>
            ''' Right Indent the paragraph.
            ''' </summary>
            Public Property RightIndentation() As Single
                Get
                    Return  m_rightIndentation
                End Get
                Set(ByVal value As Single)
                     m_rightIndentation = value
                End Set
            End Property
        End Class
    End Namespace
End Namespace
