'************************************************* ******************************
'* This file is part of NRtfTree Library.
'*
'* NRtfTree Library is free software; you can redistribute it and / or modify
'* It under the terms of the GNU Lesser General Public License as published by
'* The Free Software Foundation, either version 3 of the License, or
'* (At your option) any later version.
'*
'* NRtfTree Library is distributed in the hope that it will be useful,
'* But WITHOUT ANY WARRANTY; without even the implied warranty of
'* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
'* GNU Lesser General Public License for more details.
'*
'* You should have received a copy of the GNU Lesser General Public License
'* Along with this program. If not, see <http://www.gnu.org/licenses/> .
'************************************************* ******************************

'************************************************* ******************************
'* Library: NRtfTree
'* Version: v0.3.0
'* Date: 01/05/2009
'* Copyright: 2006-2009 Salvador Gomez
'* E-mail: sgoliver.net @ gmail.com
'* Home Page: http://www.sgoliver.net
'* SF Project: http://nrtftree.sourceforge.net
'* Http://sourceforge.net/projects/nrtftree
'* Class: RtfStyleSheetType
'* Description: Types of style sheets RTF document.
'* VB.NET Version Contributed by: Terence L. Wallace
'* ************************************************ *****************************


Imports Microsoft.VisualBasic
Imports System

Namespace Net.Sgoliver.NRtfTree
    Namespace Util
        ''' <summary>
        ''' Types of style sheets an RTF document.
        ''' </summary>
        Public Enum RtfStyleSheetType
            ''' <summary>
            ''' Stylesheet undefined.
            ''' </summary>
            None = 0
            ''' <summary>
            ''' Character style sheet.
            ''' </summary>
            Character = 1
            ''' <summary>
            ''' Paragraph style sheet.
            ''' </summary>
            Paragraph = 2
            ''' <summary>
            ''' Style sheet section.
            ''' </summary>
            Section = 3
            ''' <summary>
            ''' Table style sheet.
            ''' </summary>
            Table = 4
        End Enum
    End Namespace
End Namespace
