'************************************************* ******************************
'* This file is part of NRtfTree Library.
'*
'* NRtfTree Library is free software; you can redistribute it and / or modify
'* It under the terms of the GNU Lesser General Public License as published by
'* The Free Software Foundation, either version 3 of the License, or
'* (At your option) any later version.
'*
'* NRtfTree Library is distributed in the hope that it will be useful,
'* But WITHOUT ANY WARRANTY; without even the implied warranty of
'* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
'* GNU Lesser General Public License for more details.
'*
'* You should have received a copy of the GNU Lesser General Public License
'* Along with this program. If not, see <http://www.gnu.org/licenses/> .
'************************************************* ******************************

'************************************************* ******************************
'* Library: NRtfTree
'* Version: v0.3.0
'* Date: 01/05/2009
'* Copyright: 2006-2009 Salvador Gomez
'* E-mail: sgoliver.net @ gmail.com
'* Home Page: http://www.sgoliver.net
'* SF Project: http://nrtftree.sourceforge.net
'* Http://sourceforge.net/projects/nrtftree
'* Class: RtfToken
'* Description: Token lxico read by the parser for RTF documents.
'* VB.NET Version Contributed by: Terence L. Wallace
'* ************************************************ *****************************


Imports Microsoft.VisualBasic
Imports System

Namespace Net.Sgoliver.NRtfTree
    Namespace Core
        ''' <summary>
        ''' Token lxico read by the parser for RTF documents.
        ''' </summary>
        Public Class RtfToken
#Region "Attributes Públicos"

            ''' <summary>
            ''' Type of the token.
            ''' </summary>
            Private  m_type As RtfTokenType
            ''' <summary>
            ''' Keyword / Smbolo Control / Properties.
            ''' </summary>
            Private  m_key As String
            ''' <summary>
            ''' Indicates whether the token is associated parmetro.
            ''' </summary>
            Private hasParam As Boolean
            ''' <summary>
            ''' Parmetro of Control osmbolo keyword.
            ''' </summary>
            Private param As Integer

#End Region

#Region "Properties"

            ''' <summary>
            ''' Type of the token.
            ''' </summary>
            Public Property Type() As RtfTokenType
                Get
                    Return  m_type
                End Get
                Set(ByVal value As RtfTokenType)
                     m_type = value
                End Set
            End Property

            ''' <summary>
            ''' Keyword / Smbolo Control / Properties.
            ''' </summary>
            Public Property Key() As String
                Get
                    Return  m_key
                End Get
                Set(ByVal value As String)
                     m_key = value
                End Set
            End Property

            ''' <summary>
            ''' Indicates whether the token is associated parmetro.
            ''' </summary>
            Public Property HasParameter() As Boolean
                Get
                    Return hasParam
                End Get
                Set(ByVal value As Boolean)
                    hasParam = value
                End Set
            End Property

            ''' <summary>
            ''' Parmetro of Control osmbolo keyword.
            ''' </summary>
            Public Property Parameter() As Integer
                Get
                    Return param
                End Get
                Set(ByVal value As Integer)
                    param = value
                End Set
            End Property

#End Region

#Region "Constructor Pblico"

            ''' <summary>
            ''' RtfToken class constructor. Create a token vacuum.
            ''' </summary>
            Public Sub New()
                 m_type = RtfTokenType.None
                 m_key = ""

                'Initializing Default
                'hasParam = false;
                'param = 0;
            End Sub

#End Region
        End Class
    End Namespace
End Namespace
