'************************************************* ******************************
'* This file is part of NRtfTree Library.
'*
'* NRtfTree Library is free software; you can redistribute it and / or modify
'* It under the terms of the GNU Lesser General Public License as published by
'* The Free Software Foundation, either version 3 of the License, or
'* (At your option) any later version.
'*
'* NRtfTree Library is distributed in the hope that it will be useful,
'* But WITHOUT ANY WARRANTY; without even the implied warranty of
'* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
'* GNU Lesser General Public License for more details.
'*
'* You should have received a copy of the GNU Lesser General Public License
'* Along with this program. If not, see <http://www.gnu.org/licenses/> .
'************************************************* ******************************

'************************************************* ******************************
'* Library: NRtfTree
'* Version: v0.3.0
'* Date: 01/05/2009
'* Copyright: 2006-2009 Salvador Gomez
'* E-mail: sgoliver.net @ gmail.com
'* Home Page: http://www.sgoliver.net
'* SF Project: http://nrtftree.sourceforge.net
'* Http://sourceforge.net/projects/nrtftree
'* Class: RtfTokenType
'* Description: Types of token of a RTF document tree.
'* VB.NET Version Contributed by: Terence L. Wallace
'* ************************************************ *****************************


Imports Microsoft.VisualBasic
Imports System

Namespace Net.Sgoliver.NRtfTree
    Namespace Core
        ''' <summary>
        ''' Types of Token of an RTF document tree.
        ''' </summary>
        Public Enum RtfTokenType
            ''' <summary>
            ''' Slo indicates that the token has been initialized.
            ''' </summary>
            None = 0
            ''' <summary>
            ''' Keyword without parmetro.
            ''' </summary>
            Keyword = 1
            ''' <summary>
            ''' Smbolo without parmetro Control.
            ''' </summary>
            Control = 2
            ''' <summary>
            ''' Text of the document.
            ''' </summary>
            Text = 3
            ''' <summary>
            ''' Mark end of file.
            ''' </summary>
            Eof = 4
            ''' <summary>
            ''' Group Home: '('
            ''' </summary>
            GroupStart = 5
            ''' <summary>
            ''' End of group ')'
            ''' </summary>
            GroupEnd = 6
        End Enum
    End Namespace
End Namespace
